## org.eclipse.xsd.ecore.importer.ui
Class XSDDetailPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
                      org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage
                          org.eclipse.xsd.ecore.importer.ui.XSDDetailPage

All Implemented Interfaces:
  IModelImporterPage, IDialogPage, IMessageProvider, IWizardPage, Listener

    public class XSDDetailPage

extends ModelImporterDetailPage

Since:
  2.1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary
`protected Button` `createMapButton`

Fields inherited from class org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage
`filterExtensions, genModelNameText, loadButton, showGenModel, usingInternalSetName`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
`browseFileSystemButton, browseWorkspaceButton, uriText`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`XSDDetailPage(ModelImporter modelImporter, java.lang.String pageName)`

Method Summary
`protected void` `addDetailControl(Composite parent)`
`void` `dispose()`
`protected void` `doHandleEvent(Event event)`
`XSDImporter` `getXSDImporter()`

Methods inherited from class org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage

`addControl, addURIControl, adjustLoadButton, browseFileSystem, browseWorkspace, createGenModelNameControl, getDefaultGenModelFileName, getFilterExtensions, getModelImporter, getSelectModelLabel, getURITextInitialValue, getURITextLabel, handleOriginalModelFile, internalSetGenModelFileName, isPageComplete, isValidWorkspaceResource, pageActivated, refreshModel, refreshModel, showGenModel, supportMultipleURIs, uriTextModified`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
`createControl, createURIControl, getBrowseFileSystemButtonLabel, getBrowseWorkspaceButtonLabel, setURIText`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Field Detail

### createMapButton

    protected Button createMapButton

Constructor Detail

### XSDDetailPage

    public XSDDetailPage(ModelImporter modelImporter,
                         java.lang.String pageName)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IDialogPage`
  Overrides:
    `dispose` in class `ModelImporterDetailPage`

### getXSDImporter

    public XSDImporter getXSDImporter()

### addDetailControl

    protected void addDetailControl(Composite parent)

  Overrides:
    `addDetailControl` in class `ModelImporterDetailPage`

### doHandleEvent

    protected void doHandleEvent(Event event)

  Overrides:
    `doHandleEvent` in class `ModelImporterDetailPage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.